package ecoparasite.input;

/**
 * Est déclenché lors du dépassement d'index lors de la récupération d'une entrée d'un RawData.
 */
public class RawDataOverflow extends Exception {

    final private int excepted;
    final private int limit;

    public RawDataOverflow( int excepted, int limit ) {
        this.excepted = excepted;
        this.limit = limit;
    }

    @Override
    public String getMessage()
    {
        return "Dépassement d'index : " + this.excepted + " voulu, " + this.limit + " maximum autorisé par le RawData.";
    }

}
